org.aspectj.internal.lang.reflect

## Class InterTypeFieldDeclarationImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl
  - - org.aspectj.internal.lang.reflect.InterTypeFieldDeclarationImpl

All Implemented Interfaces:
  InterTypeDeclaration, InterTypeFieldDeclaration

    public class InterTypeFieldDeclarationImpl
    extends InterTypeDeclarationImpl
    implements InterTypeFieldDeclaration

Author:
  colyer

### Field Summary

### Fields inherited from class org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

`targetTypeName`

### Constructor Summary

Constructors
Constructor and Description
`InterTypeFieldDeclarationImpl(AjType<?> decType, AjType<?> targetType, Field base)`
`InterTypeFieldDeclarationImpl(AjType<?> decType, String target, int mods, String name, AjType<?> type, Type genericType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Type` `getGenericType()`
`String` `getName()`
`AjType<?>` `getType()`
`String` `toString()`

### Methods inherited from class org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

`getDeclaringType, getModifiers, getTargetType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Constructor Detail

#### InterTypeFieldDeclarationImpl

    public InterTypeFieldDeclarationImpl(AjType<?> decType,
                                         String target,
                                         int mods,
                                         String name,
                                         AjType<?> type,
                                         Type genericType)

#### InterTypeFieldDeclarationImpl

    public InterTypeFieldDeclarationImpl(AjType<?> decType,
                                         AjType<?> targetType,
                                         Field base)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `InterTypeFieldDeclaration`
Returns:
  the field name

#### getType

    public AjType<?> getType()

Specified by:
  `getType` in interface `InterTypeFieldDeclaration`
Returns:
  the field type

#### getGenericType

    public Type getGenericType()

Specified by:
  `getGenericType` in interface `InterTypeFieldDeclaration`
Returns:
  the generic field type

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`